itpp::Rice_RNG Class Reference
Random Number Generation

Rice distribution. More...

`#include <itpp/base/random.h>`

## Public Member Functions

| Rice_RNG (double sigma=1.0, double v=1.0)
| Constructor. Set sigma, and v (if v = 0, Rice -> Rayleigh).
void | setup (double sigma, double v)
| Set sigma, and v (if v = 0, Rice -> Rayleigh).
void | get_setup (double &sigma, double &v)
| Get parameters.
double | operator() ()
| Get one sample.
vec | operator() (int n)
| Get a sample vector.
mat | operator() (int h, int w)
| Get a sample matrix.

## Detailed Description

Rice distribution.

Definition at line 763 of file random.h.

The documentation for this class was generated from the following files:

- itpp/base/random.h
- itpp/base/random.cpp

Generated on Thu Mar 20 2014 12:26:46 for IT++ by Doxygen 1.8.6